﻿<form novalidate name="FormContacts.Contact">

    <div class="form-group">
        <div class="col-md-12 col-xs-12">
            <div ng-class="{ 'has-error': FormContacts.Contact.projectPhoneNumber.$touched && FormContacts.Contact.projectPhoneNumber.$invalid,
                                   'has-success': FormContacts.Contact.projectPhoneNumber.$touched && FormContacts.Contact.projectPhoneNumber.$valid}">
                <label class="control-label">{{transaction.PhoneNumber}} </label>
                <input type="text" ng-pattern="/^\d+$/" class="form-control" name="projectPhoneNumber" 
                       ng-model="model.projectPhoneNumber">
                <div class="help-block" ng-messages="FormContacts.Contact.projectPhoneNumber.$error" ng-show="FormContacts.Contact.projectPhoneNumber.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                </div>
                <div class="help-block" ng-show="FormContacts.Contact.projectPhoneNumber.$error.pattern">
                    ارقام فقط
                </div>

            </div>

            <div ng-class="{ 'has-error': FormContacts.Contact.projectWhatsapp.$touched && FormContacts.Contact.projectWhatsapp.$invalid,
                                   'has-success': FormContacts.Contact.projectWhatsapp.$touched && FormContacts.Contact.projectWhatsapp.$valid}">
                <label class="control-label">{{transaction.Whatsapp}} </label>
                <input type="text" ng-pattern="/^\d+$/" class="form-control" name="projectWhatsapp" 
                       ng-model="model.projectWhatsapp">
                <div class="help-block" ng-messages="FormContacts.Contact.projectWhatsapp.$error" ng-show="FormContacts.Contact.projectWhatsapp.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                </div>
                <div class="help-block" ng-show="FormContacts.Contact.projectWhatsapp.$error.pattern">
                    ارقام فقط
                </div>

            </div>

            <div ng-class="{ 'has-error': FormContacts.Contact.projectFacebook.$touched && FormContacts.Contact.projectFacebook.$invalid,
                                   'has-success': FormContacts.Contact.projectFacebook.$touched && FormContacts.Contact.projectFacebook.$valid}">
                <label class="control-label">{{transaction.Facebook}} </label>
                <input type="url" class="form-control" name="projectFacebook" 
                       ng-model="model.projectFacebook">
                <div class="help-block" ng-messages="FormContacts.Contact.projectFacebook.$error" ng-show="FormContacts.Contact.projectFacebook.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                </div>
            </div>
            <div ng-class="{ 'has-error': FormContacts.Contact.projectTwitter.$touched && FormContacts.Contact.projectTwitter.$invalid,
                                   'has-success': FormContacts.Contact.projectTwitter.$touched && FormContacts.Contact.projectTwitter.$valid}">
                <label class="control-label">{{transaction.Twitter}} </label>
                <input type="url" class="form-control" name="projectTwitter" 
                       ng-model="model.projectTwitter">
                <div class="help-block" ng-messages="FormContacts.Contact.projectTwitter.$error" ng-show="FormContacts.Contact.projectTwitter.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                </div>
            </div>

            <div ng-class="{ 'has-error': FormContacts.Contact.projectGoogle.$touched && FormContacts.Contact.projectGoogle.$invalid,
                                   'has-success': FormContacts.Contact.projectGoogle.$touched && FormContacts.Contact.projectGoogle.$valid}">
                <label class="control-label">{{transaction.Google}} </label>
                <input type="url" class="form-control" name="projectGoogle" 
                       ng-model="model.projectGoogle">
                <div class="help-block" ng-messages="FormContacts.Contact.projectGoogle.$error" ng-show="FormContacts.Contact.projectGoogle.$touched">
                    <div ng-messages-include="/App/Templates/messages.html"></div>
                </div>
            </div>





        </div>

    </div>
</form>




